RPM2ARCHIVE(1)

NOM
rpm2archive – Créer une archive tar ou cpio à partir d’un paquet RPM (RPM Package Manager)

SYNOPSIS
rpm2archive [options] [FICHIER_PAQUET] ...

DESCRIPTION
rpm2archive convertit des fichiers de paquet RPM dans d’autres formats.

Si la sortie standard est un fichier normal ou un enchainement (pipe), l'archive est écrite sur la sortie standard. Si la sortie standard est un terminal, la sortie est écrite dans un fichier du même nom, suffixé par .tgz ou .cpio.gz s’il est compressé, ou par .tar ou .cpio dans le cas contraire, selon le format. La sortie est compressée au format gzip(1) par défaut.

rpm2archive ne vérifie pas les signatures ou les sommes de contrôle au niveau du paquet, mais elle vérifie la somme de contrôle de chaque fichier.

Les formats 3, 4 et 6 de paquet RPM sont pris en charge.

ARGUMENTS
FICHIER_PAQUET
    Paquet RPM binaire ou source.

En l’absence d’argument ou si un tiret est indiqué (-) comme argument, les données sont lues sur l’entrée standard.

OPTIONS
-n, --nocompression
    Création d’une archive non compressée. Dans le mode de création de fichier, utilisation de .tar comme suffixe de nom de fichier.

-f, --format=<FORMAT>
    Création de l’archive dans le FORMAT indiqué :
    –   pax : Portable Archive Exchange restreint tel qu’utilisé par tar(1) (par défaut) ;
    –   cpio : le « nouveau » format ASCII cpio(5). Remarquez que ce format a une limite de 4 Go de taille pour chaque fichier particulier.

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpm2archive glint-1.0-1.i386.rpm | tar -xvz
    Extraction du contenu du paquet glint-1.0-1.i386.rpm avec tar(1).

rpm2archive --nocompression --format=cpio glint-1.0-1.i386.rpm | cpio -idv
    Extraction du contenu du paquet glint-1.0-1.i386.rpm au format cpio(5) non compressé, compatible avec la sortie de rpm2cpio(1).

rpm2archive glint-1.0-1.i386.rpm ; tar -xvz glint-1.0-1.i386.rpm.tgz
    Extraction du contenu du paquet glint-1.0-1.i386.rpm dans une archive appelée glint-1.0-1.i386.rpm.tgz et extraction de l’archive créée avec tar(1).

cat glint-1.0-1.i386.rpm | rpm2archive - | tar -tvz
    Fourniture du paquet glint-1.0-1.i386.rpm à rpm2archive à travers l’entrée standard et lister le contenu avec tar(1).

VOIR AUSSI
rpm2cpio(1), rpm(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.